{
  "schema": "ailang/v0",
  "name": "hello",
  "imports": [],
  "defs": [
    {
      "kind": "fn",
      "name": "main",
      "type": {
        "k": "fn",
        "params": [],
        "ret": { "k": "con", "name": "Unit" },
        "effects": ["IO"]
      },
      "params": [],
      "body": {
        "t": "do",
        "op": "io/print_str",
        "args": [
          { "t": "lit", "lit": { "kind": "str", "value": "Hello, AILang." } }
        ]
      }
    }
  ]
}
